#include <stdio.h>
#include <stdlib.h>
#include <json-c/json.h>

int main()
{
	const char filename[] = "sample.json";
	json_object *jdata;
	const char *jstring;

	jdata = json_object_from_file(filename);
	if( jdata==NULL )
	{
		fprintf(stderr,"Unable to process %s\n",filename);
		exit(1);
	}

	jstring = json_object_to_json_string_ext(
			jdata,
			JSON_C_TO_STRING_PRETTY
			);
	puts(jstring);

	return(0);
}
